@import 'vars';

.page {
  background: $c-black;

  div[class^='PoweredByDao'] {
    margin: 0;
    h3 {
      margin: 40px 0 16px 0;
    }
    p {
      margin-bottom: 47px;
    }
  }
}

.upperContainer {
  position: relative;
  max-width: 340px;
  height: 336.89px;
  width: 100%;
  margin: 40px 0 45px;
  z-index: 0;

  @media (min-width: 768px) {
    margin: 62px auto 61px;
    width: 547px;
    height: 542px;
    max-width: unset;
  }
}

.lowerContainer {
  display: flex;
  flex-direction: column;
  width: 340px;
  height: 322px;
  height: auto;
  background: linear-gradient(114.49deg, #25b038 0%, rgba(91, 216, 255, 0) 100%);
  box-shadow: 0px 0px 50px 3px rgba(255, 255, 255, 0.15);
  border-radius: 15px;
  align-items: center;
  position: relative;
  padding-top: 41px;
  padding-left: 41px;
  padding-right: 41px;
  padding-bottom: 19px;

  @media (min-width: 768px) {
    width: 429px;
    height: 334px;
  }

  .notEligibleInfo {
    margin-top: 20px;
    color: red;
  }
}

.inputData {
  background-color: $c-white;
  box-sizing: border-box;
  width: 100%;
  height: 65px;
  border-radius: 15px;
  border: 0;
  font-family: Montserrat, sans-serif;
  font-style: normal;
  font-weight: 600;
  line-height: 22px;
  font-size: 18px;
  letter-spacing: 0.02em;
  padding-left: 22px;
  color: #052152;
  text-shadow: 0px 2px 50px #ffffff;

  &:disabled {
    cursor: not-allowed;
    background-color: $c-alto;

    &::placeholder {
      font-size: 12px;
      color: #c0bebe;
    }
  }

  &:focus,
  &:focus-visible {
    border: 0;
    outline: 0;
  }

  &::placeholder {
    color: rgba(2, 12, 30, 0.5);
    font-size: 12px;

    @media (min-width: 768px) {
      font-size: 17px;
    }
  }

  @media (min-width: 768px) {
    font-size: 18px;
    padding: 0 0 0 28px;
  }
}

.relativeWrapper {
  position: relative;
  width: 100%;
  height: unset !important;
}

.buttonWrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  margin-top: 48px;
}

.status {
  position: absolute;
  font-family: Montserrat;
  font-style: normal;
  top: -40px;
  font-weight: 800;
  font-size: 10px;
  line-height: 12px;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  color: #00f220;

  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    top: -40px;
  }
}

.button {
  font-family: Montserrat, sans-serif;
  font-weight: 300;
  font-size: 23px;
  line-height: 28px;
  letter-spacing: 0.2rem;
  color: $c-black;
  border: none;
  cursor: pointer;
  text-decoration: none;
  display: inline;
  margin: 0 0 10px 0;
  background-color: $c-bright-green !important;
  box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
  text-transform: uppercase;
  width: 100%;
  height: 65px;
  padding: 0 19px;
  border-radius: 15px;

  &:disabled {
    background: gray !important;
    cursor: not-allowed;
  }

  @media (min-width: 768px) {
    width: 100%;
    min-width: 347.81px;
    height: 65px;
  }
}

.indicatorContainer {
  position: absolute;
  display: flex;
  bottom: -53px;
  right: 103px;

  div {
    width: 29.85px;
    height: 29.85px;
    border-radius: 100%;
    margin-left: 22px;

    &:first-child {
      margin-left: 0;
    }
  }

  @media (min-width: 768px) {
    position: absolute;
    display: block;
    right: -78px;
    padding-top: 44px;
    bottom: unset;

    div {
      margin-bottom: 44px;

      &:first-child {
        margin-left: 22px;
      }
    }
  }

  .green {
    background: rgba(77, 255, 100, 0.25);
  }

  .red {
    background: rgba(255, 51, 51, 0.25);
  }

  .orange {
    background: rgba(255, 149, 0, 0.25);
  }
}

.randomize {
  position: absolute;
  cursor: pointer;
  padding: 0;
  top: 20px;
  right: 16px;
  background-color: transparent;
  border: 0;
  img {
    height: 19px;
    width: 21px;
  }

  @media (min-width: 768px) {
    top: 18px;
    right: 26px;
    img {
      width: 32px;
      height: 30px;
    }
  }
  &:disabled {
    cursor: not-allowed;
  }
}

.slider {
  width: 100%;
  margin-top: 22px;
  background-color: transparent;
  :global(.rc-slider-mark-text) {
    width: 100%;

    &:first-child {
      text-align: left;
      transform: none !important;
    }

    &:last-child {
      text-align: right;
      transform: translateX(-100%) !important;
    }
  }
  @media (min-width: 768px) {
    margin-top: 15px;
  }
}

.sliderInfo {
  margin: 5px 0;
  font-family: Montserrat, sans-serif;
  font-weight: 500;
  font-size: 10px;
  line-height: 12.19px;
  padding: 0;
  color: rgba(255, 255, 255, 0.5);
  font-style: italic;
  letter-spacing: 0.02em;
}

.percentage {
  font-family: Montserrat;
  color: #fff;
  padding-top: 8px;
  font-weight: 600;
  font-size: 12px;
  line-height: 14.63px;
  letter-spacing: 0.02em;
}

.withdrawals {
  position: relative;
  margin: 15px 0 0;
  font-family: Montserrat, sans-serif;
  font-style: normal;
  font-weight: 800;
  font-size: 10px;
  line-height: 12px;
  letter-spacing: 0.02em;
  color: #ffffff;

  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    margin-bottom: 0;
  }
}

.container {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  min-height: 600px;
  padding: 0 23px;

  @media (min-width: 768px) {
    max-width: 100%;
    margin: 0 auto 0 auto;
    padding: 0;
  }
  
  .description {
    width: 45%;
    margin-right: 10%;
    .title {
      margin-top: 0;
    }
    .paragraph {
      display: flex;
      flex-direction: column;
      font-size: 24px;
      font-weight: 300;
      .mintText {
        color: #04dfc7;
        font-weight: bolder;
      }
    }
  }
  .details {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;

    .row {
      padding-bottom: 30px;
      display: flex;
      flex-direction: column;
      .rowTitle {
        color: #1f6fe5;
        font-weight: bold;
        font-size: 20px;
        margin-bottom: 10px;
      }
      .rowValue {
        color: black;
        font-weight: 500;
        font-size: 22px;
      }
    }

    @media (min-width: 768px) {
      padding: 0 0 0 0;
    }
  }
}
.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  max-width: 100%;
  object-fit: contain;
  z-index: 1;
}

.connect {
  width: 100%;
  button {
    font-family: Montserrat, sans-serif;
    font-weight: 600;
    font-size: 14px;
    letter-spacing: 2%;
    white-space: nowrap;
    color: white;
    border: 0;
    text-transform: uppercase;
    background: #00b318;
    box-shadow: 0 0 80px rgba(27, 204, 50, 0.5);
    border-radius: 15px;
    width: 100%;
    height: 65px;
    margin-bottom: 18px;
    @media (min-width: 768px) {
      height: 65px;
      font-size: 18px;
      line-height: 21.94px;
    }
  }
}
.loader {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 99;
}

.specialMessage {
  margin-top: 14px;
  color: gold;
  text-align: center;
}

.actionButton {
  font-family: Montserrat, sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
  /* identical to box height */
  display: flex;
  width: 100%;
  height: 50px;
  justify-content: center;
  align-items: center;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  text-decoration: none;
  color: #201747;
  background: #ffcd00;
  box-shadow: 0 0 80px rgba(27, 204, 50, 0.5);
  border-radius: 15px;

  @media (min-width: 768px) {
    width: 100%;
    min-width: 347.81px;
    height: 65px;
  }
}

.video {
  display: block;
  width: 830px;
  max-width: 100%;
  // margin-top: 62px;
  margin-top: 0;
  margin-bottom: 15px;
  @media (min-width: 768px) {
  margin: auto auto 112px;
  }
}

.successTitle {
  color: #fefb00;
  margin-bottom: 0;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 900;
  font-size: 20px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.1em;
  text-transform: uppercase;
}

.successDescription {
  font-family: Montserrat;
  font-style: normal;
  font-weight: 600;
  font-size: 10px;
  line-height: 12px;
  letter-spacing: 0.02em;
  margin: 0;
  margin-top: 16px;
}

@media (min-width: 768px) {
  .successTitle {
    font-size: 25px;
    font-weight: 900;
    text-transform: uppercase;
    margin: 0;
  }

  .successDescription {
    font-size: 16px;
    font-weight: 600;
    margin: 0;
    margin-top: 32px;
  }
}
